Bug 471116 - SELinux is preventing cupsd (cupsd_t) "write" to ./KonicaMinoltaMagicolor5450.ppd (cupsd_etc_t).
SELinux is preventing cupsd (cupsd_t) "write" to ./KonicaMinoltaMagicolor5450...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 471104 471119 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 16:05 EST by morgan read
Modified: 2009-01-09 01:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:49:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
setroubleshoot text (2.84 KB, text/plain)
2008-11-11 16:05 EST, morgan read
no flags Details

  None (edit)
Description morgan read 2008-11-11 16:05:28 EST
Created attachment 323253 [details]
setroubleshoot text

Description of problem:
See attached selinux_alert.txt

Version-Release number of selected component (if applicable):
[read@morgansmachine ~]$ rpm -q cups
cups-1.3.9-1.fc8


How reproducible:


Steps to Reproduce:
1. Apply new ppd to existing printer
2.
3.
  
Actual results:
There was an error during the CUPS operation: 'server-error-internal-error'

Expected results:
ppd applied

Additional info:
See attached selinux_alert.txt
Comment 1 Tim Waugh 2008-11-12 04:58:41 EST
The SELinux file context of that file is incorrect.  Please run:

restorecon -vR /etc/cups /var/run/cups

What is the history of this installation?  Was it a clean install or an upgrade?  At what point was SELinux enabled?
Comment 2 Tim Waugh 2008-11-12 04:59:21 EST
*** Bug 471119 has been marked as a duplicate of this bug. ***
Comment 3 morgan read 2008-11-13 19:38:57 EST
It was a clean install about a year ago, f8 - due for another clean install soon:)
selinux was installed enforcing from the start, this is the first time the issue has occured - but, it's coincided with installing some 3rd party ppd's and configs:
http://onyxftp.mykonicaminolta.com/DownloadFile/Download.ashx?fileid=10153&productid=969
ftp://ftp.minolta-qms.com/pub/crc/out_going/linux/5450lin_ppds.tar.gz
http://download6.konicaminolta.eu/konmin/servlet/KonMinMaster?path=../attachment.jsp&mode=load&id=41256849005CE173BB6ECD26E24034EEC125723D00533701&filename=mc5450_linux.zip

restorecon -vR /etc/cups /var/run/cups
and
rm /var/run/cups/cups.sock (for Bug 471104)
seem to have resolved this

Thanks.
Comment 4 Tim Waugh 2008-11-14 07:21:20 EST
OK.  I think the problem then is that the installed tar/zip files unset the SELinux file contexts.
Comment 5 Tim Waugh 2008-11-14 07:21:40 EST
*** Bug 471104 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2008-11-26 06:18:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 01:49:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.